【活用ガイド】

[English]

JVNDB-2010-000005

tDiary 付属のプラグイン tb-send.rb におけるクロスサイトスクリプティングの脆弱性

概要

tDiary 付属のプラグイン tb-send.rb には、クロスサイトスクリプティングの脆弱性
が存在します。

tDiary は、ウェブ日記支援ソフトです。tDiary 付属のプラグイン tb-send.rb には、
クロスサイトスクリプティングの脆弱性が存在します。

なお、開発者によると tDiary 2.3.x は本脆弱性の影響を受けないとのことです。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の
方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 株式会社ユービーセキュア プロジェクトVEX

CVSS による深刻度 (CVSS とは?)

基本値: 2.6 (注意) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


tDiary開発プロジェクト
  • tDiary 2.2.2(フルセット) およびそれ以前
  • tDiary 2.2.2(プラグイン集) およびそれ以前

想定される影響

特定のウェブブラウザ上で任意のスクリプトを実行される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとにアップデートしてください。
ベンダ情報

tDiary開発プロジェクト
CWEによる脆弱性タイプ一覧  CWEとは?

  1. クロスサイトスクリプティング(CWE-79) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2010-0726
参考情報

  1. JVN : JVN#73331060
  2. National Vulnerability Database (NVD) : CVE-2010-0726
  3. Secunia Advisory : SA38742
  4. SecurityFocus : 38413
  5. OPEN SOURCE VULNERABILITY DATABASE (OSVDB) : 62562
更新履歴

[2010年02月25日]
  掲載